Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.intercept
Class SessionBeanInterceptor

    java.lang.Object
      org.jboss.seam.intercept.RootInterceptor
          org.jboss.seam.intercept.SessionBeanInterceptor

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SeamInterceptor

    public class SessionBeanInterceptor

extends RootInterceptor

Controller interceptor for server-side interceptors of EJB3 session bean components.

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary
`static ThreadLocal<Component>` | `COMPONENT`

Constructor Summary
`SessionBeanInterceptor()` Called when instantiated by EJB container.

Method Summary
`Object` | `aroundInvoke(javax.interceptor.InvocationContext invocation)`
`void` | `postActivate(javax.interceptor.InvocationContext invocation)`
`void` | `postConstruct(javax.interceptor.InvocationContext invocation)`
`void` | `preDestroy(javax.interceptor.InvocationContext invocation)`
`void` | `prePassivate(javax.interceptor.InvocationContext invocation)`

Methods inherited from class org.jboss.seam.intercept.RootInterceptor
`getComponent, getComponentName, init, initNonSeamComponent, invoke, invokeAndHandle, isSeamComponent, postConstruct`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT

    public static ThreadLocal<Component> COMPONENT

Constructor Detail

### SessionBeanInterceptor

    public SessionBeanInterceptor()

  Called when instantiated by EJB container. (In this case it might be a Seam component, but we won't know until postConstruct() is called.)

Method Detail

### aroundInvoke

    public Object aroundInvoke(javax.interceptor.InvocationContext invocation)
                        throws Exception

  Throws:
    `Exception`

### prePassivate

    public void prePassivate(javax.interceptor.InvocationContext invocation)

### postActivate

    public void postActivate(javax.interceptor.InvocationContext invocation)

### preDestroy

    @PreDestroy
    public void preDestroy(javax.interceptor.InvocationContext invocation)

### postConstruct

    @PostConstruct
    public void postConstruct(javax.interceptor.InvocationContext invocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD